package net.wanji.com;

import net.wanji.com.netty.NettyClient;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author duanruiming
 * @date 2023/05/08 13:37
 */
@SpringBootApplication(scanBasePackages = {"net.wanji.com", "net.wanji.databus", "net.wanji.common"})
@MapperScan(basePackages = {"net.wanji.com.mapper", "net.wanji.databus.dao.mapper"})
@EnableTransactionManagement
@EnableScheduling
@SuppressWarnings("all")
public class Application implements ApplicationRunner {
    @Qualifier(value = "threadPoolExecutor")
    @Autowired
    static ThreadPoolTaskExecutor threadPoolExecutor;


    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        NettyClient.start(5050, threadPoolExecutor);
    }
}
